Google berkomitmen untuk mendorong terwujudnya keadilan ras bagi komunitas Kulit Hitam. Lihat caranya.

Fitur kompatibilitas aplikasi untuk penyimpanan data

Untuk membantu Anda mendukung versi terbaru Android, platform ini menyediakan fitur kompatibilitas aplikasi berikut untuk penyimpanan data.

Memilih tidak menggunakan penyimpanan terbatas untuk sementara

Sebelum aplikasi Anda sepenuhnya kompatibel dengan penyimpanan terbatas, Anda dapat memilih tidak menggunakannya untuk sementara dengan menggunakan salah satu metode berikut:

  • Targetkan Android 9 (API level 28) atau yang lebih rendah.
  • Jika Anda menargetkan Android 10 (API level 29) atau yang lebih tinggi, tetapkan nilai requestLegacyExternalStorage ke true dalam file manifes aplikasi Anda:

        <manifest ... >
          <!-- This attribute is "false" by default on apps targeting
               Android 10 or higher. -->
            <application android:requestLegacyExternalStorage="true" ... >
              ...
            </application>
        </manifest>
        

Untuk menguji perilaku aplikasi yang menargetkan Android 9 atau yang lebih rendah saat menggunakan penyimpanan terbatas, Anda dapat memilih untuk menggunakan perilaku ini dengan menetapkan nilai requestLegacyExternalStorage ke false.